#!/bin/bash

# 读取随机数据并转为 base64 编码
head -n 50000 /dev/urandom | base64 > random;
# 抽取 50000 行数据
head -n 50000 random > random2;
# rename
rm random;
mv random2 random;

# 按 asc 排序
sort --unique random > unique_sort_by_asc;
# 按 num 排序
sort --unique --numeric-sort random > unique_sort_by_num;

# 追加写
cat unique_sort_by_asc > totall;
cat unique_sort_by_num >> totall;

# 匹配并统计字符
grep -o "com" totall | wc -l > number_of_com;